 /*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "ric_prj.h"
#include "limits.h" 

    // TODO:   ric_file_open   
DWORD trust_file_open(
    TSupSysContext *context,
    TSupSysInfo *info) {
    TReaderInfoOpen *inf = (TReaderInfoOpen*)info;
    DWORD code;
    TRICContext *ctx = (TRICContext*)context;

    SUPSYS_PRE_CONTEXT(context, TRICContext);
    SUPSYS_PRE_INFO(info, TReaderInfoOpen);
    SUPSYS_PRE(inf->mode_bits >= READER_MODEFLAG_BITS);
    SUPSYS_PRE(inf->num <= (int)(USHRT_MAX) && inf->num > 0);

    if (inf->num < 7 && !ctx->application)
	return (DWORD)CPR_ERR_RDR_NEED_OPEN_FOLDER;

    code = trust_select_file(ctx, (unsigned char)inf->num,	// TODO:   ric_file_open   
			     &(ctx->file_length));
    if (code == (DWORD)ERROR_FILE_NOT_FOUND) {
	code = trust_select_application(ctx);
	if (code)
	    return code;
	code = trust_select_file(ctx, (unsigned char)inf->num, &(ctx->file_length));
    }
    if (code) {
	ctx->file_length = 0;
	return code;
    }
    ctx->file = (unsigned char)inf->num;
    ctx->status |= RIC_STATUS_FILE_SELECTED;
    return ERROR_SUCCESS;
}
