/*
 * Copyright(C) 2008  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 159171 $
 * \date $Date:: 2017-06-27 11:39:17 +0300#$
 * \author $Author: sagafyin $
 * \brief   ( Trust)
 */

#include "ric_prj.h"

DWORD trust_register( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TRICContext *ctx;
    TSupSysInfoRegister *inf = (TSupSysInfoRegister*)info;
    SUPSYS_PRE_INFO( info, TSupSysInfoRegister );

    UNUSED( context );
    ctx = calloc(1, sizeof(TRICContext));
    if( ctx == NULL )
	return (DWORD)NTE_NO_MEMORY;
    ctx->unique_length = TRUST_UNIQUE_LENGTH;
    ctx->unique_form = trust_unique_form;
    ctx->change_pin = ric_change_pin;
    ctx->block_len_read = TRUST_BLOCK_READ;
    ctx->block_len_write = TRUST_BLOCK_WRITE;
    ctx->class_tag = 0xf;
    ctx->application = 0x100;
    ctx->card_type = CardType_Magistra;
    inf->context = ctx;
    /*TODO: ???? -  support_load_library() ????*/
    support_load_library();
    return ERROR_SUCCESS;
}
/* end of file: $Id: mag_reg.c 159171 2017-06-27 08:39:17Z sagafyin $ */
